# Copyright (C) 2024 Manuel Bustillo

Rails.application.routes.draw do
  mount Rswag::Ui::Engine => '/api-docs'
  mount Rswag::Api::Engine => '/api-docs'
  resources :groups, only: :index
  resources :guests, only: %i[index create update destroy] do
    post :bulk_update, on: :collection
  end
  resources :expenses, only: %i[index update] do
    get :summary, on: :collection
  end
  resources :tables_arrangements, only: %i[index show]

  get 'up' => 'rails/health#show', as: :rails_health_check
end
